Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.chart.get_config()
assert res.chart_config is not None
# Handle response
print(res.chart_config)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.chart.getConfig();
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/chart/config \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/chart/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/chart/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/chart/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/chart/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/chart/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"daily_multipliers": [
"1"
],
"has_daily": true,
"has_intraday": true,
"has_weekly_and_monthly": true,
"intraday_multipliers": [
"1",
"5",
"15",
"30",
"60",
"240"
],
"monthly_multipliers": [
"1"
],
"supported_resolutions": [
"1T",
"5T",
"10T",
"25T",
"50T",
"100T",
"250T",
"500T",
"1000T",
"1",
"3",
"5",
"15",
"30",
"45",
"60",
"120",
"180",
"240",
"1D",
"1W",
"1M",
"3M",
"6M",
"12M"
],
"supports_group_request": false,
"supports_marks": false,
"supports_search": true,
"supports_time": false,
"supports_timescale_marks": false,
"weekly_multipliers": [
"1"
]
}Chart
Chart Configuration
Retrieves the chart configuration metadata including supported time resolutions, intraday multipliers, and data capabilities. This endpoint provides essential information for initializing charting libraries and understanding available data granularity options.
Use Case: Configure trading chart applications with supported timeframes and resolution settings before requesting historical data.
GET
/
v1
/
chart
/
config
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.chart.get_config()
assert res.chart_config is not None
# Handle response
print(res.chart_config)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.chart.getConfig();
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/chart/config \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/chart/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/chart/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/chart/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/chart/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/chart/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"daily_multipliers": [
"1"
],
"has_daily": true,
"has_intraday": true,
"has_weekly_and_monthly": true,
"intraday_multipliers": [
"1",
"5",
"15",
"30",
"60",
"240"
],
"monthly_multipliers": [
"1"
],
"supported_resolutions": [
"1T",
"5T",
"10T",
"25T",
"50T",
"100T",
"250T",
"500T",
"1000T",
"1",
"3",
"5",
"15",
"30",
"45",
"60",
"120",
"180",
"240",
"1D",
"1W",
"1M",
"3M",
"6M",
"12M"
],
"supports_group_request": false,
"supports_marks": false,
"supports_search": true,
"supports_time": false,
"supports_timescale_marks": false,
"weekly_multipliers": [
"1"
]
}Authorizations
Response
Chart configuration retrieved successfully
Capabilities returned for the charting API. Use this once at startup to configure supported resolutions and chart UI options.
List of supported chart resolutions, including tick-based intervals with a T suffix, minute-based intervals, and daily, weekly, and monthly resolutions.
Example:
[
"1T",
"5T",
"10T",
"25T",
"50T",
"100T",
"250T",
"500T",
"1000T",
"1",
"3",
"5",
"15",
"30",
"45",
"60",
"120",
"180",
"240",
"1D",
"1W",
"1M",
"3M",
"6M",
"12M"
]
Was this page helpful?